DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Payout
  • Introduction
  • Getting Started
    • Create Account
    • Make your first API call
    • Authentication & API Keys
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
      POST
    • Get Bank List - FPX
      POST
    • Retrieve Payment Status
      GET
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Payout
    • Overview
    • Inquire Beneficiary Account
      POST
    • Send Payout
      POST
    • Read Payout Status
      GET
    • Read Available Balance
      GET
  • Notification
    • Overview
    • Retry Notification
    • Setup Notification URL
    • Sample Notification - Global
      POST
    • Sample Notification - Cards
      POST
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
      • Payout Response Code
      • Credit Card Acquirer Response Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
      • Inquire Beneficiary Account
      • Send Payout
      • Read Payout Status
      • Read Available Balance
    • Signature
      • Signature - Global
        • Prepare Signature Component
        • Generating Signature
        • Validating Signature
        • Sample Code
      • Signature - Cards Payment API
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
        • Signature Component from Request Header
  1. Payout

Read Payout Status

GET
/v3/payouts/{id}
Returns the recorded state of a payout, addressed by the merchant's own payout reference.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v3/payouts/SO-99120' \
--header 'Authorization;' \
--header 'Signature: hR8kQ2vLpX4nT7wY0aZ3cB6dE9fG1hJ5kM8nP2qS4tV' \
--header 'Client-Id: BRN-0231' \
--header 'Request-Timestamp: 2026-09-13T09:15:22Z' \
--header 'API-Version: arabica.2025-12-01'

Responses

🟢200OK
application/json
The payout was found. Its state is one of four.
Headers

Bodyapplication/json

Examples
{
    "id": "SO-99120",
    "reference_no": "DK0000123",
    "inquiry_id": "I0010200000123",
    "status": "SUCCESS",
    "completed_at": "2026-09-13T09:15:22Z",
    "beneficiary": {
        "first_name": "Nur Aisyah",
        "last_name": "binti Rahman",
        "country_code": "MY",
        "account": {
            "bank_code": "ARBKMYKL",
            "bank_name": "AmBank Berhad",
            "number": "8881234567",
            "name": "NUR AISYAH BINTI RAHMAN"
        }
    },
    "amount": {
        "value": 250.75,
        "currency": "MYR"
    },
    "remark": "Invoice 99120 settlement",
    "metadata": {
        "order_ref": "PO-4471"
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🔴500Internal Server Error
🔴503Service Unavailable
Modified at 2026-10-23 10:41:57
Previous
Send Payout
Next
Read Available Balance
Built with